Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665924 - media-plugins/mythplugins: removal (was: Validate DEPEND on virtual/mysql)
Summary: media-plugins/mythplugins: removal (was: Validate DEPEND on virtual/mysql)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Pending removal: 2018-12-11
Keywords: PMASKED
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:31 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for mythplugins 29.1 (mythplugins-29.1.ebuild,3.63 KB, text/plain)
2018-11-27 23:04 UTC, Steve Evans
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:31:37 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Pacho Ramos gentoo-dev 2018-10-20 14:22:15 UTC
mythtv-29 makes this package obsolete
Comment 2 Steve Evans 2018-11-19 16:15:24 UTC
How does mythtv-29 make this package obsolete? It does not build the plugins, either:

1. This package is still required

or.

2. mythtv-29.1.ebuild needs updating to build the plugins.
Comment 3 John M. Drescher 2018-11-24 15:26:17 UTC
I just built mythtv-29.1 yesterday. I don't see a use flag to enable the plugins.
Comment 4 Robby Klehm 2018-11-27 13:20:56 UTC
Same here.
Comment 5 Pacho Ramos gentoo-dev 2018-11-27 21:26:28 UTC
But this plugin pack looks to be for older versions, for 29 it seems that mythtv ebuild would need to be adapted:
https://www.mythtv.org/wiki/Build_from_Source#Build_and_Install_Plugins

if anyone can provide an updated mythtv-29 ebuild covering it we could include it of course
Comment 6 Steve Evans 2018-11-27 23:03:41 UTC
Alternatively a 29.1 version of mythplugins could be created. I have one based on the 0.28 version that has been changed to use the same source as the 29.1 mythtv ebuild. It works fine for me, but is probably not 100% correct. I have attached it.
Comment 7 Steve Evans 2018-11-27 23:04:42 UTC
Created attachment 556534 [details]
Ebuild for mythplugins 29.1
Comment 8 Steve Evans 2018-11-27 23:08:50 UTC
A further comment on the attached 29.1 ebuild. This bug report is about virtual/mysql and it still has a reference it, so that is most likely incorrect. However it is only active when the mythzoneminder use flag is set and I don't have that, so I experience no problem due to it.
Comment 9 thomas 2018-12-02 17:38:20 UTC
(In reply to Steve Evans from comment #6)
> Alternatively a 29.1 version of mythplugins could be created. I have one
> based on the 0.28 version that has been changed to use the same source as
> the 29.1 mythtv ebuild. It works fine for me, but is probably not 100%
> correct. I have attached it.

Thanks! From the first test, it works also fine for me. I was forced to switch to 29.1 because 0.28 did not compile anymore (did not find include QApplication in some lcd source).
Comment 10 Larry the Git Cow gentoo-dev 2018-12-11 13:16:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e4f1e229de042f0dcd9136382b80e3966efa9a0

commit 7e4f1e229de042f0dcd9136382b80e3966efa9a0
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2018-12-11 13:14:00 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-12-11 13:15:55 +0000

    media-plugins/mythplugins: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/665924
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 media-plugins/mythplugins/Manifest                 |   1 -
 media-plugins/mythplugins/metadata.xml             |  24 ---
 .../mythplugins/mythplugins-0.28.1.ebuild          | 163 ---------------------
 profiles/package.mask                              |   4 -
 4 files changed, 192 deletions(-)
Comment 11 Steve Evans 2018-12-11 13:25:45 UTC
But this package was scheduled to removed because mythtv-29 makes it obsolete, which is not true. Without a corresponding change to media-tv/mythtv to build the plugins this package /should not/ be removed. Please read the comments on this bug after it was opened.
Comment 12 Matthew Schultz 2019-01-01 00:21:54 UTC
(In reply to Steve Evans from comment #11)
> But this package was scheduled to removed because mythtv-29 makes it
> obsolete, which is not true. Without a corresponding change to
> media-tv/mythtv to build the plugins this package /should not/ be removed.
> Please read the comments on this bug after it was opened.

I've opened a new bug to request the ebuild be readded: bug 674216